unit about;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, RXCtrls, ShellAPI,
  Messages, VCLUtils;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    Copyright: TLabel;
    OKButton: TButton;
    Label2: TLabel;
    Label1: TLabel;
    Timer1: TTimer;
    Label3: TLabel;
    Memo1: TMemo;
    procedure PrepEcran;
    procedure Timer1Timer(Sender: TObject);
    procedure RxLabel1Click(Sender: TObject);
    procedure RxLabel2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

type
   TMELabel = class(TCustomLabel)
   private
     FMEFont: TFont;
     FSFont: TFont;
     FMECursor: TCursor;
     FMouseInControl: boolean;
     procedure CMMouseEnter(var Message: TMessage); message CM_MOUSEENTER;
     procedure CMMouseLeave(var Message: TMessage); message CM_MOUSELEAVE;
   protected
   public
     constructor Create(AOwner: TComponent); override;
     destructor Destroy; override;
   end;

procedure TMELabel.CMMouseEnter(var Message: TMessage);
begin
  inherited;
  if not FMouseInControl {and Enabled }and IsForegroundTask then begin
     FMouseInControl := True;
//    if Assigned(FOnMouseEnter) then FOnMouseEnter(Self);
     FSFont := TFont.Create;
     FSFont.Assign(Font);
     Font.Assign(FMEFont);
     screen.Cursor := FMECursor;
  end;
end;

procedure TMELabel.CMMouseLeave(var Message: TMessage);
begin
  inherited;
  if FMouseInControl {and Enabled and not FDragging }then begin
     FMouseInControl := False;
     Font.Assign(FSFont);
     FSFont.Free;
     screen.Cursor := crDefault;
  end;
end;

constructor TMELabel.Create(AOwner: TComponent);
begin
   inherited;
   FMEFont := TFont.Create;
end;

destructor TMELabel.Destroy;
begin
   FMEFont.Free;
   inherited;
end;

procedure TAboutBox.PrepEcran;
begin
     BorderStyle := bsNone;
     OKButton.Visible := false;
     Panel1.BorderWidth := 3;
     FormStyle := fsStayOnTop;
     Show;
     Timer1.Enabled := True;
     Update;
end;

procedure TAboutBox.Timer1Timer(Sender: TObject);
begin
     close;
     free;
end;

procedure TAboutBox.RxLabel1Click(Sender: TObject);
begin
     ShellExecute(Application.Handle, nil, PChar('http://didier.cabale.free.fr'), nil,
       nil, SW_SHOWNOACTIVATE);
end;

procedure TAboutBox.RxLabel2Click(Sender: TObject);
begin
     ShellExecute(Application.Handle, nil, PChar('mailto:didier.cabale@free.fr'), nil,
       nil, SW_SHOWNOACTIVATE);
end;

procedure TAboutBox.FormCreate(Sender: TObject);
begin
     with TMELabel.Create(self) do begin
          Parent := Panel1;
          Top := 96;
          Left := 88;
          Caption := 'didier.cabale@free.fr';
          FMEFont.Color := clBlue;
          FMEFont.Style := [fsUnderLine];
          FMECursor := crHandPoint;
          OnClick := RxLabel2Click;
     end;
     with TMELabel.Create(self) do begin
          Parent := Panel1;
          Top := 112;
          Left := 88;
          Caption := 'http://didier.cabale.free.fr';
          FMEFont.Color := clBlue;
          FMEFont.Style := [fsUnderLine];
          FMECursor := crHandPoint;
          OnClick := RxLabel1Click;
     end;
end;

end.
